Expire Checkout Session
curl --request POST \
--url https://uat-api.clinkbill.com/api/checkout/session/{id}/expire \
--header 'X-API-KEY: <api-key>' \
--header 'X-Timestamp: <x-timestamp>'HttpResponse<String> response = Unirest.post("https://uat-api.clinkbill.com/api/checkout/session/{id}/expire")
.header("X-Timestamp", "<x-timestamp>")
.header("X-API-KEY", "<api-key>")
.asString();import requests
url = "https://uat-api.clinkbill.com/api/checkout/session/{id}/expire"
headers = {
"X-Timestamp": "<x-timestamp>",
"X-API-KEY": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Timestamp': '<x-timestamp>', 'X-API-KEY': '<api-key>'}
};
fetch('https://uat-api.clinkbill.com/api/checkout/session/{id}/expire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "Success",
"data": {
"sessionId": "sess_fxpxnm0y8d61169",
"token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...",
"status": "expired",
"paymentStatus": null,
"amountSubtotal": 10,
"amountTotal": null,
"originalCurrency": "USD",
"paymentCurrency": null,
"subscriptionId": null,
"invoiceId": null,
"orderId": null,
"price": {
"priceId": null,
"priceList": null,
"recurring": null
},
"merchantReferenceId": "mcht_sub_123457",
"showPromotionCode": true,
"uiMode": null,
"returnUrl": null,
"customer": null,
"locale": null,
"cancelUrl": null,
"successUrl": "https://merchant.example.com/success",
"created": "2026-09-09 09:07:01",
"expire": "2026-09-10 09:08:01",
"product": null,
"priceDataList": null,
"metadata": {}
}
}{
"code": 123,
"msg": "<string>",
"data": "<unknown>"
}{
"code": 123,
"msg": "<string>",
"data": "<unknown>"
}Checkout Session
Expire Checkout Session
Expire a checkout session that is still open. Once expired, the checkout page can no longer be used to complete a payment, and a checkout session webhook event with status expired is delivered. A session cannot be expired if it has already been completed, has already expired, or has a payment in progress.
POST
/
checkout
/
session
/
{id}
/
expire
Expire Checkout Session
curl --request POST \
--url https://uat-api.clinkbill.com/api/checkout/session/{id}/expire \
--header 'X-API-KEY: <api-key>' \
--header 'X-Timestamp: <x-timestamp>'HttpResponse<String> response = Unirest.post("https://uat-api.clinkbill.com/api/checkout/session/{id}/expire")
.header("X-Timestamp", "<x-timestamp>")
.header("X-API-KEY", "<api-key>")
.asString();import requests
url = "https://uat-api.clinkbill.com/api/checkout/session/{id}/expire"
headers = {
"X-Timestamp": "<x-timestamp>",
"X-API-KEY": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Timestamp': '<x-timestamp>', 'X-API-KEY': '<api-key>'}
};
fetch('https://uat-api.clinkbill.com/api/checkout/session/{id}/expire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "Success",
"data": {
"sessionId": "sess_fxpxnm0y8d61169",
"token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...",
"status": "expired",
"paymentStatus": null,
"amountSubtotal": 10,
"amountTotal": null,
"originalCurrency": "USD",
"paymentCurrency": null,
"subscriptionId": null,
"invoiceId": null,
"orderId": null,
"price": {
"priceId": null,
"priceList": null,
"recurring": null
},
"merchantReferenceId": "mcht_sub_123457",
"showPromotionCode": true,
"uiMode": null,
"returnUrl": null,
"customer": null,
"locale": null,
"cancelUrl": null,
"successUrl": "https://merchant.example.com/success",
"created": "2026-09-09 09:07:01",
"expire": "2026-09-10 09:08:01",
"product": null,
"priceDataList": null,
"metadata": {}
}
}{
"code": 123,
"msg": "<string>",
"data": "<unknown>"
}{
"code": 123,
"msg": "<string>",
"data": "<unknown>"
}Authorizations
Your secret API key obtained from the Clink dashboard (Developers section)
Headers
Current timestamp in milliseconds since Unix epoch (required for request signing)
Example:
"1783513683000"
Path Parameters
Unique identifier of the checkout session to expire